PETSc version 3.15.5
Fix/Edit manual page

# KSPPIPEFCGSetNprealloc

set the number of directions to preallocate with PIPEFCG

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEFCGSetNprealloc(KSP ksp,PetscInt nprealloc)

Logically Collective on ksp

### Input Parameters

| ksp | - the Krylov space context
| nprealloc | - the number of vectors to preallocate

### Options Database

| -ksp_pipefcg_nprealloc <N>

### See Also

KSPPIPEFCG, KSPPIPEFCGSetTruncationType(), KSPPIPEFCGGetNprealloc()

### Level

advanced

### Location

src/ksp/ksp/impls/fcg/pipefcg/pipefcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages